import React, {useRef, useState} from 'react';
import { NavLink } from 'react-router-dom';
import './Registration.css';
import ExistingLoginError from "../../Components/RegistrationError/ExistingLoginError";
import ConfirmPasswordError from "../../Components/RegistrationError/ConfirmPasswordError";
import {connect} from "react-redux";
import {actionRegistrations} from "../../Actions/action_registration";

const Registration = ({onRegistration}) => {

    const loginRef = useRef(null)
    const pasRef = useRef(null)

    const [login, setLogin] = useState("")
    const [password, setPassword] = useState("")

    return (
        <div className='registration-wrapper'>
            <input
                value={login}
                placeholder="Login"
                ref={loginRef}
                onChange={(e) => setLogin(e.target.value)}></input>
            <input
                    value={password}
                    placeholder="Password"
                    ref={pasRef}
                    onChange={(e) => setPassword(e.target.value)}
                    type="password"
            ></input>
            <input placeholder="Confirm Password"></input>

            <button onClick={() => onRegistration(login, password)}>Registration</button>

            <nav>
                <NavLink to="/login">Login</NavLink>
            </nav>

            <ExistingLoginError />
            <ConfirmPasswordError />
        </div>
    )
}

// export default Registration;

const CRegistration = connect(null, {
    onRegistration: actionRegistrations
})(Registration)

export default CRegistration